Summary: Audit event viewer
Name: audit-viewer
Version: 0.7.4
Release: 15%{?dist}
License: GPLv2
Group: Applications/System
URL: https://fedorahosted.org/audit-viewer/
Source0: https://fedorahosted.org/releases/a/u/audit-viewer/audit-viewer-%{version}.tar.xz
BuildRequires:  gcc
BuildRequires: desktop-file-utils, gettext, intltool, python2
Requires: audit-libs-python2, gnome-python2-gnome, gnome-python2-rsvg
Requires: pygtk2-libglade, pychart, python2-gtkextra, python2-sexy, usermode
Requires: usermode-gtk

%description
A graphical utility for viewing and summarizing audit events.

%prep
%setup -q

%build
%configure --disable-update-mimedb
make %{?_smp_mflags}

%install
make DESTDIR=$RPM_BUILD_ROOT install-fedora INSTALL='install -p'

%find_lang audit-viewer

desktop-file-install \
	--dir $RPM_BUILD_ROOT/%{_datadir}/applications/ \
	$RPM_BUILD_ROOT/%{_datadir}/applications/audit-viewer.desktop

%post
touch --no-create %{_datadir}/mime/packages &>/dev/null ||:
update-desktop-database &> /dev/null || :

%postun
update-desktop-database &> /dev/null || :
if [ $1 -eq 0 ] ; then
update-mime-database %{_datadir}/mime &> /dev/null || :
fi

%posttrans
update-mime-database %{?fedora:-n} %{_datadir}/mime &> /dev/null || :


%files -f audit-viewer.lang
%doc AUTHORS COPYING ChangeLog NEWS README
%{_bindir}/audit-viewer
%{_datadir}/applications/audit-viewer.desktop
%{_datadir}/audit-viewer
%{_datadir}/mime/packages/audit-viewer.xml
%{_libexecdir}/audit-viewer-server
%{_libexecdir}/audit-viewer-server-real
%{_mandir}/man8/audit-viewer.8*
%config(noreplace) %{_sysconfdir}/pam.d/audit-viewer-server
%config(noreplace) %{_sysconfdir}/security/console.apps/audit-viewer-server

%changelog
* Thu Jul 12 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.4-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Mar 14 2018 Iryna Shcherbina <ishcherb@redhat.com> - 0.7.4-14
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.4-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.4-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.4-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.4-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.4-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.4-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Sep 08 2014 Rex Dieter <rdieter@fedoraproject.org> 0.7.4-7
- update mime scriptlet

* Fri Aug 15 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Feb 11 2013 Miloslav Trmač <mitr@redhat.com> - 0.7.4-3
- Revert use of %%make_install to avoid redundant make targets

* Sun Feb 10 2013 Rahul Sundaram <sundaram@fedoraproject.org> - 0.7.4-2
- remove vendor tag from desktop file. https://fedorahosted.org/fpc/ticket/247
- clean up spec to follow current guidelines

* Sat Sep 22 2012 Miloslav Trmač <mitr@redhat.com> - 0.7.4-1
- Update to audit-viewer-0.7.4

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Mar  1 2012 Miloslav Trmač <mitr@redhat.com> - 0.7.3-1
- Update to audit-viewer-0.7.3

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Aug 25 2011 Miloslav Trmač <mitr@redhat.com> - 0.7.2-1
- Update to audit-viewer-0.7.2

* Thu Mar 31 2011 Miloslav Trmač <mitr@redhat.com> - 0.7.1-1
- Update to audit-viewer-0.7.1

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Aug 26 2010 Miloslav Trmač <mitr@redhat.com> - 0.7-1
- Update to audit-viewer-0.7

* Wed Aug 11 2010 David Malcolm <dmalcolm@redhat.com> - 0.6.2-3
- recompiling .py files against Python 2.7 (rhbz#623274)

* Wed Mar 31 2010 Miloslav Trmač <mitr@redhat.com> - 0.6.2-2
- Fix chart display if any of the labels contain '/'
- Include 'date' among field names for making reports

* Fri Mar 26 2010 Miloslav Trmač <mitr@redhat.com> - 0.6.2-1
- Update to audit-viewer-0.6.2

* Thu Mar  4 2010 Miloslav Trmač <mitr@redhat.com> - 0.6.1-1
- Update to audit-viewer-0.6.1
- Drop no longer required references to BuildRoot

* Mon Jan 18 2010 Miloslav Trmač <mitr@redhat.com> - 0.6-1
- Update to audit-viewer-0.6.
  Resolves: #549363

* Thu Oct  1 2009 Miloslav Trmač <mitr@redhat.com> - 0.5.1-1
- Update to audit-viewer-0.5.1.

* Tue Sep 15 2009 Miloslav Trmač <mitr@redhat.com> - 0.5-2
- BuildRequires: intltool

* Tue Sep 15 2009 Miloslav Trmač <mitr@redhat.com> - 0.5-1
- Update to audit-viewer-0.5.
- Preserve timestamps of some installed files.

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Dec 01 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.4-2
- Rebuild for Python 2.6

* Tue Oct 28 2008 Miloslav Trmač <mitr@redhat.com> - 0.4-1
- Update to audit-viewer-0.4.

* Tue Aug 26 2008 Miloslav Trmač <mitr@redhat.com> - 0.3-2
- s/Requires: gnome-python2/&-gnome/
  Resolves: #460031

* Wed Jun 25 2008 Miloslav Trmač <mitr@redhat.com> - 0.3-1
- Update to audit-viewer-0.3.

* Fri Apr 18 2008 Miloslav Trmač <mitr@redhat.com> - 0.2-2
- Add URL:
- Modify .desktop file installation to conform to guidelines
- Add missing BuildRequires:

* Tue Apr 15 2008 Miloslav Trmač <mitr@redhat.com> - 0.2-1
- Update to audit-viewer-0.2.

* Fri Feb  1 2008 Miloslav Trmač <mitr@redhat.com>
- Initial package.
